AGInfGraph (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGInfGraph

Package com.franz.agraph.jena

# Class AGInfGraph

java.lang.Object
org.apache.jena.graph.impl.GraphBase
com.franz.agraph.jena.AGGraph
com.franz.agraph.jena.AGInfGraph

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Graph`, `GraphWithPerform`, `InfGraph`

public class AGInfGraph extends AGGraph implements InfGraph
Implements the Jena InfGraph interface for AllegroGraph.

- ## Field Summary

  ### Fields inherited from class org.apache.jena.graph.impl.GraphBase

  `TOSTRING_TRIPLE_BASE, TOSTRING_TRIPLE_LIMIT`

  ### Fields inherited from interface org.apache.jena.graph.Graph

  `emptyGraph`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `ExtendedIterator<Triple>`
  `find(Node subject, Node property, Node object, Graph param)`
  `Graph`
  `getDeductionsGraph()`
  `Iterator<Derivation>`
  `getDerivation(Triple triple)`
  `Node`
  `getGlobalProperty(Node property)`
  `AGGraph`
  `getRawGraph()`
  `Reasoner`
  `getReasoner()`
  `void`
  `prepare()`
  `void`
  `rebind()`
  `void`
  `rebind(Graph data)`
  `void`
  `reset()`
  `void`
  `setDerivationLogging(boolean logOn)`
  `boolean`
  `testGlobalProperty(Node property)`
  `ValidityReport`
  `validate()`

  ### Methods inherited from class com.franz.agraph.jena.AGGraph

  `clear, getCapabilities, getName, getPrefixMapping, getTransactionHandler, isEmpty, performAdd, performDelete, remove, toString, toString`

  ### Methods inherited from class org.apache.jena.graph.impl.GraphBase

  `add, contains, contains, delete, dependsOn, find, find, forTestingOnly_graphBaseFind, getEventManager, isClosed, isIsomorphicWith, notifyAdd, notifyDelete, size`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jena.graph.Graph

  `add, add, clear, contains, contains, delete, delete, dependsOn, find, find, find, getCapabilities, getEventManager, getPrefixMapping, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, remove, size, sizeLong, stream, stream`

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `Graph`
    Overrides:
      `close` in class `GraphBase`

  - ### find

    public ExtendedIterator<Triple> find(Node subject, Node property, Node object, Graph param)
    Specified by:
      `find` in interface `InfGraph`

  - ### getDeductionsGraph

    public Graph getDeductionsGraph()
    Specified by:
      `getDeductionsGraph` in interface `InfGraph`

  - ### getDerivation

    public Iterator<Derivation> getDerivation(Triple triple)
    Specified by:
      `getDerivation` in interface `InfGraph`

  - ### getGlobalProperty

    public Node getGlobalProperty(Node property)
    Specified by:
      `getGlobalProperty` in interface `InfGraph`

  - ### getRawGraph

    public AGGraph getRawGraph()
    Specified by:
      `getRawGraph` in interface `InfGraph`

  - ### getReasoner

    public Reasoner getReasoner()
    Specified by:
      `getReasoner` in interface `InfGraph`

  - ### prepare

    public void prepare()
    Specified by:
      `prepare` in interface `InfGraph`

  - ### rebind

    public void rebind()
    Specified by:
      `rebind` in interface `InfGraph`

  - ### rebind

    public void rebind(Graph data)
    Specified by:
      `rebind` in interface `InfGraph`

  - ### reset

    public void reset()
    Specified by:
      `reset` in interface `InfGraph`

  - ### setDerivationLogging

    public void setDerivationLogging(boolean logOn)
    Specified by:
      `setDerivationLogging` in interface `InfGraph`

  - ### testGlobalProperty

    public boolean testGlobalProperty(Node property)
    Specified by:
      `testGlobalProperty` in interface `InfGraph`

  - ### validate

    public ValidityReport validate()
    Specified by:
      `validate` in interface `InfGraph`